import greenfoot.*;

/**
 * Write a description of class Background here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Background extends World
{
    final int pipeSpacing = 80;
    final int pipeFrequency = 95;

    boolean alive = true;

    Flappy bird = new Flappy();
    Mati corpse;
    
    Score score;

    public Background()
    {    
        super(700, 512, 1, false);

        Greenfoot.setSpeed(45);

        prepare();
    }

    public void prepare()
    {
        addObject(bird, getWidth()/4, getHeight()/2);
        
        Score.count = 0;
        
        score = new Score();
        addObject(score, getWidth()/2, 50);
    }

    public void act()
    {
        if(alive)
        
            if(bird.lifeTime%pipeFrequency == 0)
                addPipes();
    }

    public void addPipes()
    {
        int location = Greenfoot.getRandomNumber(getHeight()-250)+125;

        addObject(new Pipa_bawah(location, pipeSpacing), getWidth()+100, location+230+pipeSpacing);
        addObject(new Pipa_atas(location, pipeSpacing), getWidth()+100, location-230-pipeSpacing);
        
        removeObject(score);
        
        score = new Score();
        addObject(score, getWidth()/2, 50);
    }

    public void killBird()
    {
        corpse = new Mati(bird.fallSpeed, bird.getRotation());

        addObject(corpse, bird.getX(), bird.getY());
        removeObject(bird);

        alive = false;
        
        Greenfoot.playSound("smack.wav");
    }
}